## org.eclipse.datatools.modelbase.sql.datatypes
Interface Field

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  FieldImpl

public interface Field
extends TypedElement

A representation of the model object 'Field'. 4.13 Columns, fields, and attributes The terms column, field, and attribute refer to structural components of tables, row types, and structured types, respectively, in analogous fashion. As the structure of a table consists of one or more columns, so does the structure of a row type consist of one or more fields and that of a structured type one or more attributes. Every structural element, whether a column, a field, or an attribute, is primarily a name paired with a declared type. The elements of a structure are ordered. Elements in different positions in the same structure can have the same declared type but not the same name. Although the elements of a structure are distinguished from each other by name, in some circumstances the compatibility of two structures (for the purpose at hand) is determined solely by considering the declared types of each pair of elements at the same ordinal position. A field F is described by a field descriptor. A field descriptor includes: - The name of the field. - The data type descriptor of the declared type of F. - The ordinal position of F within the row type that simply contains it. - If the data type of the field is a reference type, then an indication of whether reference values shall be checked, and the <reference scope check action> , if specified or implied.

The following features are supported:

- `Scope Check`
- `Scope Checked`

See Also:
  `SQLDataTypesPackage.getField()`

Method Summary
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLDataTypesPackage.getField_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLDataTypesPackage.getField_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.